Bug 153131 - New port: security/honggfuzz: A general-purpose fuzzer with simple, command-line interface
Summary: New port: security/honggfuzz: A general-purpose fuzzer with simple, command-l...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-13 20:10 UTC by Sofian Brabez
Modified: 2011-01-05 02:10 UTC (History)
0 users

See Also:


Attachments
honggfuzz-0.1.shar (2.74 KB, text/plain)
2010-12-13 20:10 UTC, Sofian Brabez
no flags Details
ports-security-honggfuzz-0.1.shar.txt (2.82 KB, text/plain; charset=US-ASCII)
2010-12-14 22:55 UTC, Sofian Brabez
no flags Details
ports-security-honggfuzz-0.1.shar.txt (2.80 KB, text/plain; charset=US-ASCII)
2010-12-21 21:21 UTC, Sofian Brabez
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sofian Brabez 2010-12-13 20:10:08 UTC
Honggfuzz is a general-purpose fuzzing tool. Given a starting corpus of test
files, Hongfuzz supplies and modifies input to a test program and utilize the
ptrace() API/POSIX signal interface to detect and log crashes. 

WWW:	http://code.google.com/p/honggfuzz/

http://regis.goodking.ca/tb/logs/7-sbz/honggfuzz-0.1.log
http://regis.goodking.ca/tb/logs/8-sbz/honggfuzz-0.1.log
http://regis.goodking.ca/tb/logs/9-sbz/honggfuzz-0.1.log

Generated with FreeBSD Port Tools 0.99
Comment 1 Edwin Groothuis freebsd_committer 2010-12-13 20:10:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jadawin

jadawin@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 danfe 2010-12-14 10:04:46 UTC
It seems Makefile contains some excessive or bogus data:

- EXAMPLESDIR is not needed, it is set by default
- Why -i "" is used in REINPLACE_CMD?  Also, since inplace patching can
  often be cryptic (like in this case), simple comment explaining what's
  being done would be nice
- do-build: target seems to be mostly identical to default one.  Is
  there anything wrong with it?
- OK, so -i "" is there so COPYTREE_SHARE could work.  Why not simply
  do something like ${INSTALL_DATA} ${WRKSRC}/examples/*.sh?  Are there
  subdirectories inside?  (Also, there is no need to escape * in
  Makefile since it has no special meaning in this context.)
- For @${INSTALL_PROGRAM} ${WRKSRC}/${PORTNAME} ${PREFIX}/bin/, we
  generally do no mute installation commands (contrary to mkdir/reinplace)
  and usually do not append trailing slash to the `bin' directory
- Superfluous blank line before .endif
Comment 3 Sofian Brabez 2010-12-14 22:55:05 UTC
Hi,

Please use the new diff ports-security-honggfuzz-0.1.shar.txt in
attachment to improve port with the danfe@ suggestions below.

On Tue, Dec 14, 2010 at 11:04 AM, Alexey Dokuchaev <danfe@nsu.ru> wrote:
> It seems Makefile contains some excessive or bogus data:
>
> - EXAMPLESDIR is not needed, it is set by default


Fixed

> - Why -i "" is used in REINPLACE_CMD?  Also, since inplace patching can
>  often be cryptic (like in this case), simple comment explaining what's
>  being done would be nice


Fixed

> - do-build: target seems to be mostly identical to default one.  Is
>  there anything wrong with it?


The port doesn't compile without it.

> - OK, so -i "" is there so COPYTREE_SHARE could work.  Why not simply
>  do something like ${INSTALL_DATA} ${WRKSRC}/examples/*.sh?  Are there
>  subdirectories inside?  (Also, there is no need to escape * in
>  Makefile since it has no special meaning in this context.)


Yes, there are subdirectories inside and also here COPYTREE_SHARE is
executed in a subshell, so we have to escape *.

> - For @${INSTALL_PROGRAM} ${WRKSRC}/${PORTNAME} ${PREFIX}/bin/, we
>  generally do no mute installation commands (contrary to mkdir/reinplace)
>  and usually do not append trailing slash to the `bin' directory


Fixed

> - Superfluous blank line before .endif
>


Fixed

Thanks for your suggestions danfe@, it allow me to improve more and
more my work :)

Regards

-- 
sbz
Comment 4 Philippe Audeoud freebsd_committer 2010-12-21 15:45:42 UTC
Responsible Changed
From-To: jadawin->freebsd-ports-bugs

Back to pool. No time to commit since hw issues.
Comment 5 Sofian Brabez 2010-12-21 21:21:05 UTC
Hi,

Please to accept again, this new attached file in order to respect the
required variables to handle ports license framework [1] .

Regards

[1] http://wiki.freebsd.org/PortsLicenseInfrastructure

-- 
sbz

On Tue, Dec 14, 2010 at 11:55 PM, Sofian Brabez <sbrabez@gmail.com> wrote:
> Hi,
>
> Please use the new diff ports-security-honggfuzz-0.1.shar.txt in
> attachment to improve port with the danfe@ suggestions below.
>
> On Tue, Dec 14, 2010 at 11:04 AM, Alexey Dokuchaev <danfe@nsu.ru> wrote:
>> It seems Makefile contains some excessive or bogus data:
>>
>> - EXAMPLESDIR is not needed, it is set by default
>
> Fixed
>
>> - Why -i "" is used in REINPLACE_CMD?  Also, since inplace patching can
>>  often be cryptic (like in this case), simple comment explaining what's
>>  being done would be nice
>
> Fixed
>
>> - do-build: target seems to be mostly identical to default one.  Is
>>  there anything wrong with it?
>
> The port doesn't compile without it.
>
>> - OK, so -i "" is there so COPYTREE_SHARE could work.  Why not simply
>>  do something like ${INSTALL_DATA} ${WRKSRC}/examples/*.sh?  Are there
>>  subdirectories inside?  (Also, there is no need to escape * in
>>  Makefile since it has no special meaning in this context.)
>
> Yes, there are subdirectories inside and also here COPYTREE_SHARE is
> executed in a subshell, so we have to escape *.
>
>> - For @${INSTALL_PROGRAM} ${WRKSRC}/${PORTNAME} ${PREFIX}/bin/, we
>>  generally do no mute installation commands (contrary to mkdir/reinplace)
>>  and usually do not append trailing slash to the `bin' directory
>
> Fixed
>
>> - Superfluous blank line before .endif
>>
>
> Fixed
>
> Thanks for your suggestions danfe@, it allow me to improve more and
> more my work :)
>
> Regards
>
> --
> sbz

>
Comment 6 Wen Heping freebsd_committer 2010-12-22 01:46:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen

I'll take it.
Comment 7 dfilter service freebsd_committer 2011-01-05 02:01:00 UTC
wen         2011-01-05 02:00:54 UTC

  FreeBSD ports repository

  Modified files:
    security/honggfuzz   Makefile distinfo pkg-descr pkg-plist 
  Log:
  Honggfuzz is a general-purpose fuzzing tool. Given a starting corpus of test
  files, Hongfuzz supplies and modifies input to a test program and utilize the
  ptrace() API/POSIX signal interface to detect and log crashes.
  
  WWW:    http://code.google.com/p/honggfuzz/
  
  PR:             ports/153131
  Submitter:      Sofian Brabez <sbrabez@gmail.com>
  
  Revision  Changes    Path
  1.2       +0 -0      ports/security/honggfuzz/Makefile
  1.2       +0 -0      ports/security/honggfuzz/distinfo
  1.2       +0 -0      ports/security/honggfuzz/pkg-descr
  1.2       +1 -1      ports/security/honggfuzz/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Wen Heping freebsd_committer 2011-01-05 02:02:37 UTC
State Changed
From-To: open->closed

Committed. Thanks!